# $Revision: 1.20 $, $Date: 2004/05/10 03:17:02 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AnyData
Summary:	AnyData - easy access to data in many formats
Summary(pl):	AnyData - atwy dostp do danych w rnych formatach
Name:		perl-%{pdir}
Version:	0.10
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/J/JZ/JZUCKER/AnyData-%{version}.tar.gz
# Source0-md5:	ff9fb4c7d8b99d63a773e66f0ccba788
%if %{with tests}
BuildRequires:	perl-CGI
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(XML::Twig)' 'perl(HTML::TableExtract)'

%description
The AnyData modules provide simple and uniform access to data from
many sources - perl arrays, local files, remote files retrievable via
http or ftp - and in many formats including flat files (CSV, Fixed
Length, Tab Delimited, etc), standard format files (Web Logs, Passwd
files, etc.),  structured files (XML, HTML Tables) and binary files
with parseable headers (mp3s, jpgs, pngs, etc).

%description -l pl
Moduy AnyData daj prosty i ujednolicony dostp do danych z wielu
rde - tablic perlowych, plikw lokalnych, plikw zdalnych
dostpnych po http lub ftp - oraz w wielu formatach, w tym paskich
plikach (CSV, z polami o staej dugoci, ograniczonych tabami itp.),
plikach o standardowych formatach (logi WWW, pliki passwd), plikach
strukturalnych (tabele XML, HTML) oraz plikach binarnych z
parsowalnymi nagwkami (mp3, jpg, png itp.).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/*.pm
%dir %{perl_vendorlib}/AnyData
%dir %{perl_vendorlib}/AnyData/Format
%{perl_vendorlib}/AnyData/Format/*.pm
%dir %{perl_vendorlib}/AnyData/Storage
%{perl_vendorlib}/AnyData/Storage/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AnyData.spec,v $
Revision 1.20  2004/05/10 03:17:02  ankry
- BR/R fixed/simplified, rel. 3

Revision 1.19  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.18  2004/05/06 18:43:01  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/25 16:49:52  adamg
- updated to 0.10

Revision 1.16  2004/04/19 14:53:31  adamg
- updated to 0.09

Revision 1.15  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.14  2003/10/31 22:04:57  qboosh
- updated to 0.08, enabled tests by default (seem fixed)

Revision 1.13  2003/10/04 13:39:04  gotar
- fixed bcond

Revision 1.12  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:25:39  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/08/14 22:43:35  radek
- noautoreq {XML::Twig,HTML::TableExtract}
- tests default off; might fail
- release 2

Revision 1.3  2002/08/12 09:50:30  qboosh
- pl description

Revision 1.2  2002/08/10 20:52:25  radek
- fixed source URL

Revision 1.1  2002/08/10 12:29:05  radek
- new, STBR
